function init(hero) {
    hero.setName("Black Noir");
    hero.setTier(7);
    hero.setVersion("V1");
    
    hero.setHelmet("Mask");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");

    hero.addPowers("bfp:noir_utility_belt");
    hero.setPrimaryEquipment("fiskheroes:prometheus_sword");
    
    hero.setHasPermission(hasPermissions);
    hero.addAttribute("PUNCH_DAMAGE", 20.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 22.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.5, 1);
    hero.addAttribute("STEP_HEIGHT", 0.5, 0);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1);
    hero.addAttribute("JUMP_HEIGHT", 2, 0);
    hero.addAttribute("FALL_RESISTANCE", 1, 1);
    hero.addAttribute("BASE_SPEED_LEVELS", 1.0, 0);

    hero.addKeyBind("UTILITY_BELT", "Utility Belt", 1)
    hero.addKeyBind("SUPER_SPEED", "Toggle Ninja-Sprint", 2);
}


function hasPermissions(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}